Subject: Re: Health benefits of algae

From: [email-masked] (Shezaad Ebrahim)
Date: Fri, 29 Nov 96 20:01:21 GMT

> Hi:  
> If you would be interested in trying a product called
> Super Blue Green Algae to supplement your diet,
> please contact me and I will supply you with some
> information.  Sharing this information is important
> to me since I know that the algae can be beneficial. 
> I especially think about kids and the benefits algae
> can offer for their growth.   My son and I have been
> taking algae for about a year and I've noticed several
> differences in our health.  Super Blue Green Algae is
> a food containing over 60% protein, with all the
> amino acids our bodies need (easier to have a
> meatless diet); algae also contains almost all the
> minerals and vitamins we need.
> 
> Please e-mail me, ([email-masked]).  Or you can
> call me, Val Eimers (520) 284-4220.
> 
Could you tell me if this will help in the growth of fish. Is it Not Toxic.
Shezaad